Subject: git log --since to not stop after first old commit?

From: Miklos Vajna <[email-masked]>
Date: Fri, 1 Apr 2022 10:21:45 +0200

Hi,

I wanted to look at commits of a contributor from the last year, and
noticed that I only see commits from this year, not last year when I use:

        git log --author="that person" --since="1 year ago"

Digging around in the history, one other contributor pushed a mistake on
1st Jan, where the author date was supposed to be 2022-01-01, but
happened to be 2021-01-01. Knowing that, it makes sense that 'git log'
stopped at that commit by default.

I wonder though, is there any option to "force" git log to walk all
reachable commits from HEAD, but just show the ones which match the
--since criteria?

Or is this need so special that the best is to parse the output of 'git
rev-list' and do my own filtering for author and date?

Thanks,

Miklos